﻿using DryIoc.ImTools;
using StudentManager.Data;
using StudentManager.Interface;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Common
{
	public class HomeWorkManager : Singleton<HomeWorkManager>
	{
		public void PublicHomework(uint lesson, bool appedCommonWork = false, bool appendErrorSet = false, int workNum = -1)
		{
            foreach (var item in StudentLib.StudentDic)
            {
				item.Value.PublicHomeWork(lesson, appedCommonWork, appendErrorSet, workNum);
            }
        }

		internal void DeleteHomework(DetailHomeWorkSetInfo homeWork)
		{
			throw new NotImplementedException();
		}
	}
}
